# Fuzzing Forum

This project aims at hosting tutorials, examples, discussions, research proposals, and other resources related to [fuzzing](https://en.wikipedia.org/wiki/Fuzzing).

External contributions are welcome, please
see [CONTRIBUTING](CONTRIBUTING) file for more info.

# Documentation

* [Why fuzz?](https://github.com/google/fuzzing/blob/master/docs/why-fuzz.md)
* [Introduction to fuzzing](https://github.com/google/fuzzing/blob/master/docs/intro-to-fuzzing.md)
* [What makes a good fuzz target](https://github.com/google/fuzzing/blob/master/docs/good-fuzz-target.md)
* [How to split a fuzzer-generated input into parts](https://github.com/google/fuzzing/blob/master/docs/split-inputs.md)
* [How to write structure-aware fuzzers with libFuzzer](https://github.com/google/fuzzing/blob/master/docs/structure-aware-fuzzing.md)
* [How to build fuzz targets](https://github.com/google/fuzzing/blob/master/docs/building-fuzz-targets.md)
* [Overview of AFL based fuzzers](https://github.com/google/fuzzing/blob/master/docs/afl-based-fuzzers-overview.md)
* [Fuzzing glossary](https://github.com/google/fuzzing/blob/master/docs/glossary.md)

# Related projects

* [OSS-Fuzz](https://github.com/google/oss-fuzz) - Continuous Fuzzing Service for Open Source Software
* [ClusterFuzz](https://github.com/google/clusterfuzz) - Scalable Fuzzing Infrastructure
* [FuzzBench](https://github.com/google/fuzzbench) - Fuzzer benchmarking as a service

# Disclaimer

This is not an official Google product.

